Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1115671

Summary: Review Request: nodejs-grunt-contrib-copy - Copy files and folders
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 19:53:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1115659    

Comment 1 Parag AN(पराग) 2014-07-18 15:23:54 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-grunt-contrib-copy.x86_64: E: no-binary
nodejs-grunt-contrib-copy.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-copy-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 1 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :d3a1c5f78e17cc36adccc4e5b064c7772ccf4acb651295bc0da37cb31a1ce430
upstream tarball :d3a1c5f78e17cc36adccc4e5b064c7772ccf4acb651295bc0da37cb31a1ce430

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines


Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 3 Parag AN(पराग) 2014-07-22 03:24:56 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 13:55:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-copy
Short Description: Copy files and folders
Upstream URL: https://npmjs.org/package/grunt-contrib-copy
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:38:06 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 19:49:26 UTC
nodejs-grunt-contrib-copy-0.5.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-copy-0.5.0-2.fc20

Comment 7 Fedora Update System 2014-07-22 19:49:36 UTC
nodejs-grunt-contrib-copy-0.5.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-copy-0.5.0-2.fc19

Comment 8 Ralph Bean 2014-07-22 19:53:16 UTC
Buildroot overrides created.

Comment 9 Fedora Update System 2014-08-15 02:34:30 UTC
nodejs-grunt-contrib-copy-0.5.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:52:29 UTC
nodejs-grunt-contrib-copy-0.5.0-2.fc19 has been pushed to the Fedora 19 stable repository.